import { SimpleLocalIntegration } from '../../core/index.js';
import { FlexitConfigFlow } from './flexit.classes.configflow.js';
import { createFlexitDiscoveryDescriptor } from './flexit.discovery.js';
import type { IFlexitConfig } from './flexit.types.js';
import { flexitDomain, flexitProfile } from './flexit.types.js';

export class FlexitIntegration extends SimpleLocalIntegration<IFlexitConfig> {
  public readonly domain = flexitDomain;
  public readonly discoveryDescriptor = createFlexitDiscoveryDescriptor();
  public readonly configFlow = new FlexitConfigFlow();

  constructor() {
    super(flexitProfile);
  }
}

export class HomeAssistantFlexitIntegration extends FlexitIntegration {}
